#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel     1

Name:           kdiagram
Version:        2.6.0
Release:        %mkrel %{rel}
Summary:        Powerful libraries (KChart, KGantt) for creating business diagrams
License:        GPLv2+
Group:          Development/KDE and Qt
Url:            https://quickgit.kde.org/?p=kdiagram.git
Source0:        http://download.kde.org/stable/kdiagram/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
Powerful libraries (KChart, KGantt) for creating business diagrams.

#---------------------------------------------

%define kchart_major 2
%define libkchart    %mklibname kchart %{kchart_major}

%package -n     %{libkchart}
Summary:        Powerful libraries KChart for creating business diagrams
Group:          System/Libraries

%description -n %{libkchart}
Powerful libraries KChart for creating business diagrams.

%files -n %{libkchart} -f kchart_qt.lang
%{_kf5_libdir}/libKChart.so.%{kchart_major}{,.*}

#---------------------------------------------

%define kgantt_major 2
%define libkgantt    %mklibname kgantt %{kgantt_major}

%package -n     %{libkgantt}
Summary:        Powerful libraries KGantt for creating business diagrams
Group:          System/Libraries

%description -n %{libkgantt}
Powerful libraries KGantt for creating business diagrams.

%files -n %{libkgantt} -f kgantt_qt.lang
%{_kf5_libdir}/libKGantt.so.%{kgantt_major}{,.*}

#---------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkchart} = %{version}-%{release}
Requires:       %{libkgantt} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kchart-devel = %{version}-%{release}
Provides:       kgantt-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.
This package include KChart and KGantt header files.

%files -n %{develname}
%{_includedir}/KChart/
%{_includedir}/KGantt/
%{_includedir}/kchart_version.h
%{_includedir}/kgantt_version.h
%{_kf5_libdir}/libKChart.so
%{_kf5_libdir}/libKGantt.so
%{_kf5_libdir}/cmake/KChart/
%{_kf5_libdir}/cmake/KGantt/
%{_kf5_mkspecsdir}/qt_KChart.pri
%{_kf5_mkspecsdir}/qt_KGantt.pri

#---------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang_kf5 kchart_qt
%find_lang_kf5 kgantt_qt


%changelog
* Mon Nov 07 2016 daviddavid <daviddavid> 2.6.0-1.mga6
+ Revision: 1065724
- update to 2.6.0 final release
- update Source URL

* Wed Apr 20 2016 daviddavid <daviddavid> 2.6.0-0.git20160128.1.mga6
+ Revision: 1003814
- initial package kdiagram

